Package org.silverpeas.components.scheduleevent.control

## Class ScheduleEventSessionController

- java.lang.Object
- - org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController
  - - org.silverpeas.components.scheduleevent.control.ScheduleEventSessionController

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.web.mvc.controller.ComponentSessionController`, `org.silverpeas.core.web.session.SessionCloseable`

      public class ScheduleEventSessionController
      extends org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

      `context`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScheduleEventSessionController​(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionCtrl, org.silverpeas.core.web.mvc.controller.ComponentContext componentContext)` | Standard Session Controller Constructeur

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addContributors​(String[] usersId, Set<Contributor> recordedContributors)` |
    `void` | `createCurrentScheduleEvent()` |
    `void` | `delete​(String scheduleEventId)` |
    `String` | `exportToICal​(ScheduleEvent event)` | Exports the current ScheduleEvent in iCal format.
    `Set<OptionDateVO>` | `getCurrentOptionalDateIndexes()` |
    `ScheduleEvent` | `getCurrentScheduleEvent()` |
    `ScheduleEventBean` | `getCurrentScheduleEventVO()` |
    `ScheduleEvent` | `getDetail​(String id)` |
    `List<ScheduleEvent>` | `getScheduleEventsByUserId()` |
    `String` | `initSelectUsersPanel()` |
    `boolean` | `isCurrentScheduleEventDefined()` |
    `Response` | `makeReponseFor​(ScheduleEvent scheduleEvent, String dateId)` |
    `ScheduleEvent` | `purgeOldResponseForUserId​(ScheduleEvent scheduleEvent)` |
    `void` | `resetScheduleEventCreationBuffer()` |
    `void` | `save()` |
    `void` | `sendCallAgainNotification​(String message)` |
    `void` | `sendSubscriptionsNotification()` |
    `void` | `setCurrentScheduleEvent​(ScheduleEvent currentScheduleEvent)` |
    `void` | `setCurrentScheduleEventWith​(Set<OptionDateVO> optionalDays)` |
    `void` | `setIdUsersAndGroups()` |
    `void` | `switchState​(String id)` |
    `void` | `updateIdUsersAndGroups()` |
    `void` | `updateUserAvailabilities​(ScheduleEvent scheduleEvent)` |

    - ### Methods inherited from class org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

      `addClipboardSelection, clipboardPasteDone, close, getClipboardErrorMessage, getClipboardExceptionError, getClipboardObjects, getClipboardSelectedObjects, getClipboardSize, getComponentAccessController, getComponentId, getComponentLabel, getComponentName, getComponentParameterValue, getComponentParameterValue, getComponentRootName, getComponentUrl, getHighestSilverpeasUserRole, getIcon, getLanguage, getLook, getMultilang, getOrganisationController, getPersonalization, getRSSUrl, getSelection, getSettings, getSilverpeasUserRoles, getSpaceId, getSpaceLabel, getString, getSubscriptionContext, getUrlEncodedParameter, getUserAccessLevel, getUserAvailComponentIds, getUserDetail, getUserDetail, getUserId, getUserManageableGroupIds, getUserManageableSpaceIds, getUserRoles, getZoneId, isAppInMaintenance, isGroupManager, isPasswordChangeAllowed, isSpaceInMaintenance, removeClipboardElement, setAppModeMaintenance, setClipboardSelectedElement, setComponentRootName, setSpaceModeMaintenance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScheduleEventSessionController

          public ScheduleEventSessionController​(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionCtrl,
                                                org.silverpeas.core.web.mvc.controller.ComponentContext componentContext)

      Standard Session Controller Constructeur
      Parameters:
        `mainSessionCtrl` - The user's profile
        `componentContext` - The component's profile

  - ### Method Detail

    - #### setCurrentScheduleEvent

          public void setCurrentScheduleEvent​(ScheduleEvent currentScheduleEvent)

    - #### getCurrentScheduleEvent

          public ScheduleEvent getCurrentScheduleEvent()

    - #### getCurrentScheduleEventVO

          public ScheduleEventBean getCurrentScheduleEventVO()

    - #### resetScheduleEventCreationBuffer

          public void resetScheduleEventCreationBuffer()

    - #### createCurrentScheduleEvent

          public void createCurrentScheduleEvent()

    - #### isCurrentScheduleEventDefined

          public boolean isCurrentScheduleEventDefined()

    - #### initSelectUsersPanel

          public String initSelectUsersPanel()

    - #### setIdUsersAndGroups

          public void setIdUsersAndGroups()

    - #### addContributors

          public void addContributors​(String[] usersId,
                                      Set<Contributor> recordedContributors)

    - #### updateIdUsersAndGroups

          public void updateIdUsersAndGroups()

    - #### save

          public void save()

    - #### sendSubscriptionsNotification

          public void sendSubscriptionsNotification()

    - #### sendCallAgainNotification

          public void sendCallAgainNotification​(String message)

    - #### getScheduleEventsByUserId

          public List<ScheduleEvent> getScheduleEventsByUserId()

    - #### getDetail

          public ScheduleEvent getDetail​(String id)

    - #### switchState

          public void switchState​(String id)

    - #### delete

          public void delete​(String scheduleEventId)

    - #### updateUserAvailabilities

          public void updateUserAvailabilities​(ScheduleEvent scheduleEvent)

    - #### purgeOldResponseForUserId

          public ScheduleEvent purgeOldResponseForUserId​(ScheduleEvent scheduleEvent)

    - #### getCurrentOptionalDateIndexes

          public Set<OptionDateVO> getCurrentOptionalDateIndexes()
                                                          throws org.silverpeas.kernel.SilverpeasException

      Throws:
        `org.silverpeas.kernel.SilverpeasException`

    - #### setCurrentScheduleEventWith

          public void setCurrentScheduleEventWith​(Set<OptionDateVO> optionalDays)

    - #### makeReponseFor

          public Response makeReponseFor​(ScheduleEvent scheduleEvent,
                                         String dateId)

    - #### exportToICal

          public String exportToICal​(ScheduleEvent event)
                              throws org.silverpeas.core.importexport.ExportException

      Exports the current ScheduleEvent in iCal format. The iCal file is generated into the temporary directory.
      Returns:
        the iCal file name into which is generated the current ScheduleEvent.
      Throws:
        `org.silverpeas.core.importexport.ExportException` - on export error.